/*
 * Login.java
 *
 * Created on 13. bezen 2005, 13:12
 */

package net.inteligentni.vyhled2;

/**
 *
 * @author fiki
 */
public class Login implements java.io.Serializable {

    /**
     * Holds value of property login.
     */
    private String login;

    /**
     * Holds value of property heslo.
     */
    private String heslo;

    /**
     * jmno na serveru rmiregistry,
     * vchoz "klient_jmneno_" + currentTimeMillis()
     */
    private String rmiAdresaKlienta;

    /**
     * Holds value of property klic.
     */
    private int klic;
    
    /** Creates a new instance of Login */
    public Login() {
        klic = new java.util.Random().nextInt();
    }

    /**
     * Getter for property login.
     * @return Value of property login.
     */
    public String getLogin() {

        return this.login;
    }

    /**
     * Setter for property login.
     * @param login New value of property login.
     */
    public void setLogin(String login) {

        this.login = login;
    }

    /**
     * Getter for property heslo.
     * @return Value of property heslo.
     */
    public String getHeslo() {

        return this.heslo;
    }

    /**
     * Setter for property heslo.
     * @param heslo New value of property heslo.
     */
    public void setHeslo(String heslo) {

        this.heslo = heslo;
    }

    /**
     * Getter for property rmiAdresaKlienta.
     * @return Value of property rmiJmeno.
     */
    public String getRmiAdresaKlienta() {

        return this.rmiAdresaKlienta;
    }

    /**
     * Setter for property rmiAdresaKlienta.
     * @param rmiJmeno New value of property rmiJmeno.
     */
    public void setRmiAdresaKlienta(String rmiAdresaKlienta) {

        this.rmiAdresaKlienta = rmiAdresaKlienta;
    }


    /**
     * Vrac nhodn slo, kter po pedn serveru slou jako oven serveru - aby metody
     * tohoto klienta mohl volat pouze server a ne jn klient.
     *
     * Getter for property klic.
     * @return Value of property klic.
     */
    public int getKlic() {
//        if(klic == 0) {
//            klic = new java.util.Random().nextInt();
//        }
        return this.klic;
    }

    /**
     * Porovnv atributy heslo, klic, login a rmiAdresaKlienta
     * pokud se shoduj, shoduj se objekty (equals)
     */
    public boolean equals(Object obj) {

        if (obj.getClass() != Login.class) {
            return false;
        }
        else {
            Login l = (Login)obj;
            
            if (l.getHeslo() != this.getHeslo()) {
                return false;
            }
            if (l.getKlic() != this.getKlic()) {
                return false;
            }
            if (l.getLogin() != this.getLogin()) {
                return false;
            }
            if (l.getRmiAdresaKlienta() != this.getRmiAdresaKlienta()) {
                return false;
            }
            
            return true;
        }
    }



    
    
}
