/*
 * ModelZpravyOdeslane.java
 *
 * Created on 30. bezen 2005, 10:23
 */

package net.inteligentni.vyhled2.klient;

import java.util.LinkedList;
import javax.swing.table.AbstractTableModel;
import net.inteligentni.vyhled2.ZpravaHlavicka;

/**
 *
 * @author fiki
 */
class ModelZpravyOdeslane extends AbstractTableModel {
    
    private LinkedList l = new LinkedList();
    
    
    
    public int getColumnCount() {
        return 4;
        
    }
    
    public int getRowCount() {
        if (l == null) {
            return 0;
        } else {
            return l.size();
        }
        
    }
    
    public Object getValueAt(int radka, int sloupec) {
        ZpravaHlavicka zpravaHlavicka = (ZpravaHlavicka)l.get(radka);
        
        if (sloupec == 0) {
            
            return new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/mail_new16.png"));
        }
        
        
        if (sloupec == 1) {
            return zpravaHlavicka.getPredmet();
        }
        
        if (sloupec == 2) {
            return zpravaHlavicka.getPrijemce();
        }
        
        if (sloupec == 3) {
            
            return zpravaHlavicka.getDatumVytvoreniNaServeru();
        }
        
        
        
        
        return null;
    }
    
    /** Na zatek seznamu pid dal zprvy */
    public void AddZpravyOdeslane(LinkedList zpravy) {
        //l.addAll(zpravy); // pid zprvy na konec
        l.addAll(0, zpravy);
        fireTableDataChanged();
    }
    
    public String getColumnName(int sloupec) {
        if (sloupec == 1) {
            return "Pedmt";
        }
        
        if (sloupec == 2) {
            return "Pjemce";
        }
        
        if (sloupec == 3) {
            return "Odeslno";
        }
        return null;
    }
    
    public ModelZpravyOdeslane(LinkedList l) {
        this.l = l;
        
        
    }
    
    public Class<?> getColumnClass(int sloupec) {
	
        if (sloupec == 0) {
            
            return javax.swing.ImageIcon.class;
        }
        
        return Object.class;
    }

    public ModelZpravyOdeslane() {
    }
    
    public ZpravaHlavicka getZpravaHlavicka(int index) {
        return (ZpravaHlavicka)l.get(index);
    }

    public void smazZpravu(int index) {
        l.remove(index);
        fireTableDataChanged();
    }
}
