/*
 * KontaktHlavicka.java
 *
 * Created on 27. bezen 2005, 16:49
 */

package net.inteligentni.vyhled2;

import java.util.Date;

/**
 *
 * @author fiki
 */
public class KontaktHlavicka extends Polozka {

    /**
     * Holds value of property jmenoKrestni.
     */
    private String jmenoKrestni;

    /**
     * Holds value of property jmenoPrijmeni.
     */
    private String jmenoPrijmeni;

    /**
     * Holds value of property jmenoProstredni.
     */
    private String jmenoProstredni;

    /**
     * Holds value of property idLogin.
     */
    private String idLogin;

    /**
     * Holds value of property datumServeru.
     */
    private Date datumServeru;

    /**
     * Holds value of property telefon.
     */
    private String telefon;

    /**
     * Holds value of property id.
     */
    private int id;
    
    /** Creates a new instance of KontaktHlavicka */
    public KontaktHlavicka() {
    }

    /**
     * Getter for property jmenoKrestni.
     * @return Value of property jmenoKrestni.
     */
    public String getJmenoKrestni() {

        return this.jmenoKrestni;
    }

    /**
     * Setter for property jmenoKrestni.
     * @param jmenoKrestni New value of property jmenoKrestni.
     */
    public void setJmenoKrestni(String jmenoKrestni) {

        this.jmenoKrestni = jmenoKrestni;
    }

    /**
     * Getter for property jmenoPrijmeni.
     * @return Value of property jmenoPrijmeni.
     */
    public String getJmenoPrijmeni() {

        return this.jmenoPrijmeni;
    }

    /**
     * Setter for property jmenoPrijmeni.
     * @param jmenoPrijmeni New value of property jmenoPrijmeni.
     */
    public void setJmenoPrijmeni(String jmenoPrijmeni) {

        this.jmenoPrijmeni = jmenoPrijmeni;
    }

    /**
     * Getter for property jmenoProstredni.
     * @return Value of property jmenoProstredni.
     */
    public String getJmenoProstredni() {

        return this.jmenoProstredni;
    }

    /**
     * Setter for property jmenoProstredni.
     * @param jmenoProstredni New value of property jmenoProstredni.
     */
    public void setJmenoProstredni(String jmenoProstredni) {

        this.jmenoProstredni = jmenoProstredni;
    }

    /**
     * Getter for property idLogin.
     * @return Value of property idLogin.
     */
    public String getIdLogin() {

        return this.idLogin;
    }

    /**
     * Setter for property idLogin.
     * @param idLogin New value of property idLogin.
     */
    public void setIdLogin(String idLogin) {

        this.idLogin = idLogin;
    }

    /**
     * Getter for property datumServeru.
     * @return Value of property datumServeru.
     */
    public Date getDatumServeru() {

        return this.datumServeru;
    }

    /**
     * Setter for property datumServeru.
     * @param datumServeru New value of property datumServeru.
     */
    public void setDatumServeru(Date datumServeru) {

        this.datumServeru = datumServeru;
    }
    
    public void setDatumServeru(long datumVytvoreniNaServeru) {

        this.datumServeru = new Date(datumVytvoreniNaServeru);
    }

    /**
     * Getter for property telefon.
     * @return Value of property telefon.
     */
    public String getTelefon() {

        return this.telefon;
    }

    /**
     * Setter for property telefon.
     * @param telefon New value of property telefon.
     */
    public void setTelefon(String telefon) {

        this.telefon = telefon;
    }

    /**
     * Getter for property id.
     * @return Value of property id.
     */
    public int getId() {

        return this.id;
    }

    /**
     * Setter for property id.
     * @param id New value of property id.
     */
    public void setId(int id) {

        this.id = id;
    }
}
