/*
 * ModelKontakty.java
 *
 * Created on 30. bezen 2005, 10:23
 */

package net.inteligentni.vyhled2.klient;

import java.util.LinkedList;
import javax.swing.table.AbstractTableModel;
import net.inteligentni.vyhled2.KontaktHlavicka;
import net.inteligentni.vyhled2.ZpravaHlavicka;


/**
 *
 * @author fiki
 */
class ModelKontakty extends AbstractTableModel {
    
    private LinkedList l = new LinkedList();
    
    
    
    public int getColumnCount() {
        return 4; 
        
    }
    
    public int getRowCount() {
        if (l == null) {
            return 0;
        } else {
            return l.size();
        }
        
    }
    
    public Object getValueAt(int radka, int sloupec) {
        KontaktHlavicka kontaktHlavicka = (KontaktHlavicka)l.get(radka);
        
        if (sloupec == 0) {
            
            return new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/identity16.png"));
        }
        
        
        if (sloupec == 1) {
            return kontaktHlavicka.getJmenoKrestni() + " " + kontaktHlavicka.getJmenoProstredni() + " " + kontaktHlavicka.getJmenoPrijmeni();
        }
        
        if (sloupec == 2) {
            return kontaktHlavicka.getIdLogin();
        }
        
        if (sloupec == 3) {
            return kontaktHlavicka.getTelefon();
        }
        
        
        
        
        return null;
    }
    
    /** Na zatek seznamu pid dal zprvy */
    public void AddKontakty(LinkedList kontakty) {
        //l.addAll(zpravy); // pid zprvy na konec
        l.addAll(0, kontakty);
        fireTableDataChanged();
    }
    
    /** Nahrad seznam kontakt - pouv se u modelu hledn */
    public void setKontakty(LinkedList kontakty) {
        
        l = kontakty;
        fireTableDataChanged();
    }
    
    public String getColumnName(int sloupec) {
        if (sloupec == 1) {
            return "Jmno";
        }
        
        if (sloupec == 2) {
            return "Login";
        }
        
        if (sloupec == 3) {
            return "Telefon";
        }
        
        return null;
    }
    
    public ModelKontakty(LinkedList l) {
        this.l = l;
        
        
    }
    
    public Class<?> getColumnClass(int sloupec) {
        
        if (sloupec == 0) {
            
            return javax.swing.ImageIcon.class;
        }
        
        return Object.class;
    }
    
    public ModelKontakty() {
    }
    
    public KontaktHlavicka getKontaktHlavicka(int index) {
        return (KontaktHlavicka)l.get(index);
    }

    public void smazKontakt(int index) {
        l.remove(index);
        fireTableDataChanged();
    }
}
