-- phpMyAdmin SQL Dump
-- version 2.6.1-pl3
-- http://www.phpmyadmin.net
-- 
-- Pota: localhost
-- Vygenerovno: Nedle 17. dubna 2005, 21:21
-- Verze MySQL: 4.0.20
-- Verze PHP: 4.3.8
-- 
-- Databze: `vyhled2`
-- 

-- --------------------------------------------------------

-- 
-- Struktura tabulky `kontakt`
-- 

CREATE TABLE `kontakt` (
  `id` int(11) NOT NULL auto_increment,
  `skupinaCist` tinyint(1) NOT NULL default '0',
  `vlastnikCist` tinyint(1) NOT NULL default '0',
  `vsichniCist` tinyint(1) NOT NULL default '0',
  `skupinaPsat` tinyint(1) NOT NULL default '0',
  `vlastnikPsat` tinyint(1) NOT NULL default '0',
  `vsichniPsat` tinyint(1) NOT NULL default '0',
  `datumServeru` bigint(20) NOT NULL default '0',
  `skupina` varchar(32) NOT NULL default '',
  `vlastnik` varchar(32) NOT NULL default '',
  `login` varchar(32) NOT NULL default '',
  `jmenoKrestni` varchar(10) NOT NULL default '',
  `jmenoProstredni` varchar(10) NOT NULL default '',
  `jmenoPrijmeni` varchar(10) NOT NULL default '',
  `telefon` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=15 ;

-- 
-- Vypisuji data pro tabulku `kontakt`
-- 


-- --------------------------------------------------------

-- 
-- Struktura tabulky `uzivatel`
-- 

CREATE TABLE `uzivatel` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(32) NOT NULL default '',
  `heslo` varchar(32) NOT NULL default '',
  `datum` timestamp(14) NOT NULL,
  `jmenoKrestni` varchar(10) NOT NULL default '',
  `jmenoProstredni` varchar(10) NOT NULL default '',
  `jmenoPrijmeni` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`login`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Vypisuji data pro tabulku `uzivatel`
-- 

INSERT INTO `uzivatel` VALUES (1, 'franta', 'heslo', '20050416133249', 'Frantiek', '', 'Kuera');
INSERT INTO `uzivatel` VALUES (2, 'test', 'heslo', '20050416133249', 'Testovac', '', 'Uivatel');

-- --------------------------------------------------------

-- 
-- Struktura tabulky `zpravaHlavicka`
-- 

CREATE TABLE `zpravaHlavicka` (
  `id` int(11) NOT NULL auto_increment,
  `skupinaCist` tinyint(1) NOT NULL default '0',
  `vlastnikCist` tinyint(1) NOT NULL default '0',
  `vsichniCist` tinyint(1) NOT NULL default '0',
  `skupinaPsat` tinyint(1) NOT NULL default '0',
  `vlastnikPsat` tinyint(1) NOT NULL default '0',
  `vsichniPsat` tinyint(1) NOT NULL default '0',
  `datumOdeslani` bigint(20) NOT NULL default '0',
  `datumPrecteni` bigint(20) NOT NULL default '0',
  `datumServeru` bigint(20) NOT NULL default '0',
  `odesilatel` varchar(32) NOT NULL default '',
  `predmet` varchar(128) NOT NULL default '',
  `prijemce` varchar(32) NOT NULL default '',
  `skupina` varchar(32) NOT NULL default '',
  `idTeloZpravy` int(11) NOT NULL default '0',
  `vlastnik` varchar(32) NOT NULL default '',
  `slozka` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=71 ;

-- 
-- Vypisuji data pro tabulku `zpravaHlavicka`
-- 


-- --------------------------------------------------------

-- 
-- Struktura tabulky `zpravaTelo`
-- 

CREATE TABLE `zpravaTelo` (
  `id` int(11) NOT NULL auto_increment,
  `text` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Vypisuji data pro tabulku `zpravaTelo`
-- 

